commit:     4d198531863d3ad93de77a0c913debb68843290e
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 30 17:50:02 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Sep 30 17:59:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d198531

dev-python/python-neutronclient: add 7.6.0, enable tests, py3.9

Closes: https://bugs.gentoo.org/812914
Closes: https://bugs.gentoo.org/798633
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/python-neutronclient/Manifest           |  1 +
 .../python-neutronclient-7.6.0.ebuild              | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-python/python-neutronclient/Manifest 
b/dev-python/python-neutronclient/Manifest
index 0a5400c158e..172169601bf 100644
--- a/dev-python/python-neutronclient/Manifest
+++ b/dev-python/python-neutronclient/Manifest
@@ -1 +1,2 @@
 DIST python-neutronclient-7.2.1.tar.gz 294034 BLAKE2B 
46ddd29327a9c8c8cfa28b90585a6cddffd80a3892a97df53d6e3624570277525eee0e74aac4e9c70389d2abaa5fed4276e64a37df517c3903b649150cd0060f
 SHA512 
7b05ed090e0c88e203b38ad536e303c5ee892938e9013750cb6c0bc1d5e14b50feb3ea3a6dd9534c99182b613d225d99b8aa432be3623617dae6a364bff7adfb
+DIST python-neutronclient-7.6.0.tar.gz 304124 BLAKE2B 
a7dce6092a66f1a6f84f17a8f2caf0d7f8cfa84a6a6dc5ac18a12186f155f04f23deaa2e23b0da62e538687a4e573e0e54ce0c78c6b2d572447a10a15ce6cd2a
 SHA512 
f624b8de5ac7c157351518311c70ba111641b8e94c9230689c3bd3bdeee72d8173ef0bb9498fdb603eb3f01c3daddfc8f5b1b80ea0dade5c2b1d7257520fee0a

diff --git a/dev-python/python-neutronclient/python-neutronclient-7.6.0.ebuild 
b/dev-python/python-neutronclient/python-neutronclient-7.6.0.ebuild
new file mode 100644
index 00000000000..87d1631fe41
--- /dev/null
+++ b/dev-python/python-neutronclient/python-neutronclient-7.6.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Quantum API"
+HOMEPAGE="https://launchpad.net/neutron";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+       >=dev-python/cliff-3.4.0[${PYTHON_USEDEP}]
+       >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+       >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+       >=dev-python/osc-lib-1.8.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+       >dev-python/oslo-serialization-2.19.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+       >=dev-python/os-client-config-1.28.0[${PYTHON_USEDEP}]
+       >=dev-python/keystoneauth-3.8.0[${PYTHON_USEDEP}]
+       >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+       >=dev-python/simplejson-3.5.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+       test? (
+               dev-python/bandit[${PYTHON_USEDEP}]
+               dev-python/fixtures[${PYTHON_USEDEP}]
+               dev-python/oslotest[${PYTHON_USEDEP}]
+               dev-python/python-openstackclient[${PYTHON_USEDEP}]
+               dev-python/subunit[${PYTHON_USEDEP}]
+               dev-python/requests-mock[${PYTHON_USEDEP}]
+               dev-python/testtools[${PYTHON_USEDEP}]
+               dev-python/testscenarios[${PYTHON_USEDEP}]
+               dev-python/tempest[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       # Needs osprofile
+       rm neutronclient/tests/unit/test_http.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       # functional tests require cloud instance access
+       eunittest -b neutronclient.tests.unit
+}
+
+python_install() {
+       distutils-r1_python_install
+       #stupid stupid
+       local SITEDIR="${D}$(python_get_sitedir)" || die
+       cd "${SITEDIR}" || die
+       local egg=( python_neutronclient*.egg-info )
+       #[[ -f ${egg[0]} ]] || die "python_quantumclient*.egg-info not found"
+       ln -s "${egg[0]}" "${egg[0]/neutron/quantum}" || die
+       ln -s neutronclient quantumclient || die
+       ln -s neutron quantumclient/quantum || die
+}

Reply via email to